import request from '@/utils/request'

// 查询年度考核计分列表
export function listPoints(query) {
  return request({
    url: '/shiftmgr/points/list',
    method: 'get',
    params: query
  })
}

// 查询年度考核计分详细
export function getPoints(id) {
  return request({
    url: '/shiftmgr/points/' + id,
    method: 'get'
  })
}

// 新增年度考核计分
export function addPoints(data) {
  return request({
    url: '/shiftmgr/points',
    method: 'post',
    data: data
  })
}

// 修改年度考核计分
export function updatePoints(data) {
  return request({
    url: '/shiftmgr/points',
    method: 'put',
    data: data
  })
}

// 删除年度考核计分
export function delPoints(id) {
  return request({
    url: '/shiftmgr/points/' + id,
    method: 'delete'
  })
}

// 导出年度考核计分
export function exportPoints(query) {
  return request({
    url: '/shiftmgr/points/export',
    method: 'get',
    params: query
  })
}